### Method

# Gdk GLContext set_use_es

#### Declaration [src]

    void
    gdk_gl_context_set_use_es (
      GdkGLContext* context,
      int use_es
    )

#### Description [src]

Requests that GDK create an OpenGL ES context instead of an OpenGL one.

Not all platforms support OpenGL ES.

The `context` must not have been realized.

By default, GDK will attempt to automatically detect whether the underlying GL implementation is OpenGL or OpenGL ES once the `context` is realized.

You should check the return value of `gdk_gl_context_get_use_es()` after calling `gdk_gl_context_realize()` to decide whether to use the OpenGL or OpenGL ES API, extensions, or shaders.

#### Parameters

`use_es`

  Type: `int`

  Whether the context should use OpenGL ES instead of OpenGL, or -1 to allow auto-detection.